@charset "utf-8";
/*
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
トラステック標準WEBサイト PHP + BootStrap
見附ニット組合　カスタム対応
	ver.2026.02.05.mitsukeknit.jp
	ローディングアニメーション　スタイルシート
────────────────────────────────────────
FileName:		/resources/css/loading.css
Editor:			TRUSTEC
Description:	ローディングアニメーションのcss
────────────────────────────────────────
2025/02/05:		サンプル開発開始。
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*/



/* :::::  [SECTION : MAIN] ::::: */
:root {



}


/* :::::  [SECTION : PRIVACYPOLICY] ::::: */
/* Loading背景画面設定　*/
#splash {
/*fixedで全面に固定*/
	position: fixed;
	width: 100%;
	height: 100vh;
	z-index: 2000;
    background-color: #F2F0EA;
	text-align:center;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
}
#splash_logo{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
	aspect-ratio: 100 / 63.7;
    width: 280px;
}
#splash_logo #loading-img-2{
	width: 100%;
	height: auto;
}
#splash_logo svg{
	width: 46.4%;
	height: auto;
	margin-bottom: 0.25%;
}
@media(max-width: 575px){
	#splash_logo{
		width: 180px;
	}
}

.removeBlur{
	opacity: 1 !important;
	transition: all 0.8s !important;
}
.setBlur{
	opacity: 0 !important;
	transition: all 1s !important;
}

/***************************************************
 * Generated by SVG Artista on 2/19/2026, 5:13:44 PM
 * MIT license (https://opensource.org/licenses/MIT)
 * W. https://svgartista.net
 **************************************************/

@-webkit-keyframes animate-svg-fill-1 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

@keyframes animate-svg-fill-1 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-1 {
  -webkit-animation: animate-svg-fill-1 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.5s both;
          animation: animate-svg-fill-1 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.5s both;
}

@-webkit-keyframes animate-svg-fill-2 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

@keyframes animate-svg-fill-2 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-2 {
  -webkit-animation: animate-svg-fill-2 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.7s both;
          animation: animate-svg-fill-2 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.7s both;
}

@-webkit-keyframes animate-svg-fill-3 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

@keyframes animate-svg-fill-3 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-3 {
  -webkit-animation: animate-svg-fill-3 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.9s both;
          animation: animate-svg-fill-3 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.9s both;
}

@-webkit-keyframes animate-svg-fill-4 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

@keyframes animate-svg-fill-4 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-4 {
  -webkit-animation: animate-svg-fill-4 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.1s both;
          animation: animate-svg-fill-4 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.1s both;
}
/***************************************************
 * Generated by SVG Artista on 2/19/2026, 5:14:00 PM
 * MIT license (https://opensource.org/licenses/MIT)
 * W. https://svgartista.net
 **************************************************/

@keyframes animate-svg-fill-1 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-1 {
  animation: animate-svg-fill-1 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.5s both;
}

@keyframes animate-svg-fill-2 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-2 {
  animation: animate-svg-fill-2 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.7s both;
}

@keyframes animate-svg-fill-3 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-3 {
  animation: animate-svg-fill-3 1s cubic-bezier(0.47, 0, 0.745, 0.715) 0.9s both;
}

@keyframes animate-svg-fill-4 {
  0% {
    fill: transparent;
  }

  100% {
    fill: rgb(35, 24, 21);
  }
}

.svg-elem-4 {
  animation: animate-svg-fill-4 1s cubic-bezier(0.47, 0, 0.745, 0.715) 1.1s both;
}
